﻿@model vmArbolOpciones

<div class="panel panel-primary">
    <div class="panel-heading panel-head">
        Opciones por perfil
        <button id="verOpc" class="pull-right @ColorBoton.Error" onclick="Cerrar();">
            <span class="tool-tip" data-toggle="tooltip" data-placement="top" title="Cerrar">
                Cerrar
            </span>
        </button>

    </div>
    <form data-ajax="true"
          asp-action="GuardarPermisos"
          asp-antiforgery="true"
          role="form" data-ajax-update="#detalles"
          data-ajax-success=""
          class="">
        @Html.HiddenFor(model => model.idSistema)
        @Html.HiddenFor(model => model.idModulo)
        @Html.HiddenFor(model => model.idPerfil)
        <div class="tree">
            @for (int i = 0; i < Model.nodos.Count(); i++)
            {
                <ul>
                    @Html.HiddenFor(model => model.nodos[i].id)
                    <li>
                        <a href="#">
                            @Html.CheckBoxFor(model => model.nodos[i].state.ischecked, new { @class = "tree-checkbox parent", @id = @Model.nodos[i].id })

                            <label>
                                @Html.DisplayFor(model => model.nodos[i].text)
                            </label>
                        </a>
                        <ul>
                            @for (int j = 0; j < Model.nodos[i].nodes.Count(); j++)
                            {
                                @Html.HiddenFor(model => model.nodos[i].nodes[j].id)

                                <li>
                                    <a href="#">
                                        @Html.CheckBoxFor(model => model.nodos[i].nodes[j].state.ischecked, new { @class = "tree-checkbox node-item", @iid = i + "" + j })

                                        <label>
                                            @Html.DisplayFor(model => model.nodos[i].nodes[j].text)
                                        </label>
                                    </a>
                                    <ul>
                                        @if (Model.nodos[i].nodes[j].nodes != null)
                                        {
                                            @for (int k = 0; k < Model.nodos[i].nodes[j].nodes.Count(); k++)
                                            {
                                                @Html.HiddenFor(model => model.nodos[i].nodes[j].nodes[k].id)

                                                <li>
                                                    <a href="#">
                                                        @Html.CheckBoxFor(model => model.nodos[i].nodes[j].nodes[k].state.ischecked, new { @class = "tree-checkbox node-item", @iid = i + "" + j + "" + k })

                                                        <label>
                                                            @Html.DisplayFor(model => model.nodos[i].nodes[j].nodes[k].text)
                                                        </label>
                                                    </a>
                                                </li>
                                            }}
                                    </ul>
                                </li>
                            }
                        </ul>
                    </li>
                </ul>
            }

        </div>
        <div class="form-group">
            <div class="col-lg-9"></div>
            <div class="col-lg-3">
                <button class="btn btn-primary " id="btnSubmit" type="submit">
                    Guardar
                </button>
            </div>
        </div>
    </form>
</div>


<script type="text/javascript">

</script>


